001-009277

パッケージ版 Garoon

関心あり
0人の方が関心を示しています。

[Linux版の現象]バージョン 4.0.xのガルーンを新規で構築、またはバージョン 3.7.5以前のガルーンを4.0.0にバージョンアップすると、codeディレクトリー内のサブディレクトリーやファイルのアクセス権が700になる。

種別
不具合
機能
  • インストーラー
再現バージョン
  • 4.0.0
  • 4.0.1
  • 4.0.2
  • 4.0.3
改修バージョン
4.2.0
公開日
2015-10-30
更新日
2015-11-27

【再現手順】

  1. バージョン 4.0.0のガルーンをインストールします。

  2. CGI実行ディレクトリーに移動します。

    cd /var/www/cgi-bin/cbgrn

  3. 次のコマンドを実行し、codeディレクトリー内のサブディレクトリーやファイルを確認します。

    • codeディレクトリー内のサブディレクトリーを確認するコマンド

      ls -l  code

    • codeディレクトリー内のサブディレクトリー内のファイルを確認するコマンド

      例:
      ls -l code/command

      補足:
      • codeディレクトリー内のサブディレクトリーすべてで、同様の現象が発生します。

 

→現象発生:
 サブディレクトリーやファイルのアクセス権が700で表示されます。

 例:

 サブディレクトリーのアクセス権
 ------------------

 drwx------  3 apache root 4096 10月 1 12:00 2015 command

 drwx------ 41 apache root 4096 10月 1 12:00 2015 doc_root

 drwx------ 41 apache root 4096 10月 1 12:00 2015 include

 drwx------ 15 apache root 4096 10月 1 12:00 2015 pear

 drwx------  5 apache root 4096 10月 1 12:00 2015 plugin

 drwx------  8 apache root 4096 10月 1 12:00 2015 sched

 drwx------  6 apache root 4096 10月 1 12:00 2015 smarty
 ------------------

 

 ファイルのアクセス権
 ------------------
 -rwx------  1 apache root  3385 10月 1 12:00 2015 apply_sandbox.csp

 -rwx------  1 apache root 34065 10月 1 12:00 2015 archive_log.csp
 ------------------

→正しい結果:
 サブディレクトリーのアクセス権が755で、ファイルのアクセス権が644で表示されます。

 

 例:

 サブディレクトリーのアクセス権
 ------------------

 drwxr-xr-x  3 apache root 4096 10月 1 12:00 2015 command

 drwxr-xr-x 41 apache root 4096 10月 1 12:00 2015 doc_root

 drwxr-xr-x 41 apache root 4096 10月 1 12:00 2015 include

 drwxr-xr-x 15 apache root 4096 10月 1 12:00 2015 pear

 drwxr-xr-x  5 apache root 4096 10月 1 12:00 2015 plugin

 drwxr-xr-x  8 apache root 4096 10月 1 12:00 2015 sched

 drwxr-xr-x  6 apache root 4096 10月 1 12:00 2015 smarty
 ------------------

 

 ファイルのアクセス権

 ------------------

 -rw-r--r--  1 apache root  3385 10月 1 12:00 2015 apply_sandbox.csp

 -rw-r--r--  1 apache root 34065 10月 1 12:00 2015 archive_log.csp
 ------------------


補足:

  • バージョン 3.7.5以前のガルーンからバージョン 4.0.0のガルーンへバージョンアップした場合にも、同様の現象が発生します。

  • 本現象が発生した状態でも、ガルーンの動作には影響ありません。

【回避方法】

 

次のバージョンの製品で本現象を改修しています。バージョンアップを検討してください。
  • バージョン 4.2.0のガルーン

 

------------------------------------------------------------
【更新履歴】


2015/11/05 タイトルを更新しました。
2015/10/30 回避/対応方法の補足を追記しました。